petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatNullSpaceCreateRigidBody

create rigid body modes from coordinates

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceCreateRigidBody(Vec coords,MatNullSpace *sp)

Collective on Vec

### Input Argument

coords -block of coordinates of each node, must have block size set

### Output Argument

sp -the null space

### See Also

MatNullSpaceCreate()

Level:advanced
Location:src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html